//attribute vec4 gl_Color;
uniform sampler2D srcSampler;
uniform sampler2D grainSampler;
uniform float     brightness;
uniform vec2      grain_mod;
uniform vec4      color;
varying vec2      screen_coords;

void main()
{   
    vec4 src = texture2D(srcSampler, gl_TexCoord[0].xy);
    vec4 grain = texture2D(grainSampler, screen_coords + grain_mod);
    vec4 overlayed = src * (src + grain * (vec4(1.0) - src));
    gl_FragColor = overlayed * color;
  //vec4(gl_TexCoord[0].x, gl_TexCoord[0].y, 0.0, 1.0);
}
